package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.ValuePackSectionModel

interface ProductServiceDetailInteractor {

    interface View {
        fun onProServiceDetailSucceed(valuePackSectionModel: ValuePackSectionModel)
        fun onProServiceDetailFailed(error: VolleyError)
    }

    interface Presenter {
        fun onProServiceDetail(planCode: String, phoneNumber: String)
    }
}